Runtime

## org.eclipse.gmf.runtime.common.ui.util
Interface IEditStringProvider

public interface IEditStringProvider

An interface used to provide the string to edit for tree items when using the tree-inline-text-editor

Method Summary
`boolean` `canEdit(java.lang.Object element)` Determines if node can be edited.
`IContentAssistProcessor` `getCompletionProcessor(java.lang.Object element)` Retrieve `IContentAssistProcessor` for specified object.
`java.lang.String` `getEditString(java.lang.Object element)` Returns the initial to-be-edited string to diplay in the text-editor.
`IStatus` `setEditString(java.lang.Object element, java.lang.String newString)` Handles the newly edited string entered by the user for the given element.

Method Detail

### canEdit

    public boolean canEdit(java.lang.Object element)

  Determines if node can be edited.

  Parameters:
    `element` - The data associated with the tree-node being edited
  Returns:
    boolean `true` if node can be edited, otherwise `false`

### getEditString

    public java.lang.String getEditString(java.lang.Object element)

  Returns the initial to-be-edited string to diplay in the text-editor. for a given tree-node

  Parameters:
    `element` - The data associated with the tree-node being edited
  Returns:
    String the editable string to display for the user

### setEditString

    public IStatus setEditString(java.lang.Object element,
                                 java.lang.String newString)

  Handles the newly edited string entered by the user for the given element.

  Parameters:
    `element` - The data associated with the tree-node being edited
    `newString` - The new string entered by the user
  Returns:
    IStatus the status of string editing operation

### getCompletionProcessor

    public IContentAssistProcessor getCompletionProcessor(java.lang.Object element)

  Retrieve `IContentAssistProcessor` for specified object.

  Parameters:
    `element` - an object for which completion processor is to be retrieved
  Returns:
    the completion processor

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.